<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1">

<title>WEB</title>
<style type="text/css">


body {
    background-color: #FF9900;
    font: message-box;
    margin: 0;
    padding: 0;
}

#master {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    margin: 0;
    padding: 0;
}

#card {
    margin: 20px;
    border-radius: 10px ;
    border-width: 1px;
    border-color: rgba(0, 0, 0, 0.3);
    border-style: solid;
    box-shadow: 2px 6px 6px rgba(0, 0, 0, 0.6);
    background-color: #0099FF;
    display: flex;
    flex-direction: column;
    font-size: auto;
}

#card:hover {
    background-color: rgb(114, 201, 172);
}

#header{   
    height: 40px;
    padding: 20px;
    color: whitesmoke;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    border-bottom: 1px solid rgba(0, 0, 0, 0.6);
}

#body{  
    padding: 20px;
    color: whitesmoke;
    display: flex;
    flex-wrap: wrap;
    filter: drop-shadow(2px 4px 6px black);
    align-items: center;
    justify-content: space-around;
}

#contenido{
    width: 50%;
    height: 100px;
    margin: 30px;
    background-color: teal;
    border-width: 1px;
    border-color: rgba(0, 0, 0, 0.3);
    border-style: solid;
    box-shadow: 2px 4px 4px rgba(0, 0, 0, 0.6);
    display: flex;
    justify-content: center;
    font-size: 25px;
    align-items: center;
}

#footer{
    color: whitesmoke;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    border-top: 1px solid rgba(0, 0, 0, 0.6);
}

#b {
    margin: 7px;
    border-width: 1px;
    border-color: rgba(0, 0, 0, 0.3);
    border-style: solid;
    background-color: teal;
    color: whitesmoke;
}

#b:hover{
    background-color: thistle;
}

@media screen and (min-width: 170px){
    #card{
        width: calc(100% - 42px);
    }
}

@media screen and (min-width: 600px) {
    #card{
        width: calc(50% - 42px);
    }
}



@media screen and (min-width: 1000px){
    #card{
        width: calc(33% - 42px);
    }
}

@media screen and (min-width: 1400px) {
    #card{
        width: calc(25% - 42px);
    }
}


</style>
</head>
<body>
    <div id="master">
    <div id="card">
        <div id="header">
            <h1>ENCABEZADO</h1>
        </div>
        <div id="body">
            <div id="contenido">Contenido</div>
        </div>
        <div id="footer">
            <h1>PIE </h1>
            <div id="botones">
                <button id="b">1</button>
                <button id="b">2</button>
                <button id="b">3</button>
            </div>
        </div>
    </div>
    <div id="card">
        <div id="header">
            <h1>ENCABEZADO</h1>
        </div>
        <div id="body">
            <div id="contenido">Contenido</div>
        </div>
        <div id="footer">
            <h1>PIE </h1>
            <div id="botones">
                <button id="b">1</button>
                <button id="b">2</button>
                <button id="b">3</button>
            </div>
        </div>
    </div>
    <div id="card">
        <div id="header">
            <h1>ENCABEZADO</h1>
        </div>
        <div id="body">
            <div id="contenido">Contenido</div>
        </div>
        <div id="footer">
            <h1>PIE </h1>
            <div id="botones">
                <button id="b">1</button>
                <button id="b">2</button>
                <button id="b">3</button>
            </div>
        </div>
    </div>
    <div id="card">
        <div id="header">
            <h1>ENCABEZADO</h1>
        </div>
        <div id="body">
            <div id="contenido">Contenido</div>
        </div>
        <div id="footer">
            <h1>PIE </h1>
            <div id="botones">
                <button id="b">1</button>
                <button id="b">2</button>
                <button id="b">3</button>
            </div>
        </div>
    </div>
    <div id="card">
        <div id="header">
            <h1>ENCABEZADO</h1>
        </div>
        <div id="body">
            <div id="contenido">Contenido</div>
        </div>
        <div id="footer">
            <h1>PIE </h1>
            <div id="botones">
                <button id="b">1</button>
                <button id="b">2</button>
                <button id="b">3</button>
            </div>
        </div>
    </div>
    <div id="card">
        <div id="header">
            <h1>ENCABEZADO</h1>
        </div>
        <div id="body">
            <div id="contenido">Contenido</div>
        </div>
        <div id="footer">
            <h1>PIE </h1>
            <div id="botones">
                <button id="b">1</button>
                <button id="b">2</button>
                <button id="b">3</button>
            </div>
        </div>
    </div>
    <div id="card">
        <div id="header">
            <h1>ENCABEZADO</h1>
        </div>
        <div id="body">
            <div id="contenido">Contenido</div>
        </div>
        <div id="footer">
            <h1>PIE </h1>
            <div id="botones">
                <button id="b">1</button>
                <button id="b">2</button>
                <button id="b">3</button>
            </div>
        </div>
    </div>
    <div id="card">
        <div id="header">
            <h1>ENCABEZADO</h1>
        </div>
        <div id="body">
            <div id="contenido">Contenido</div>
        </div>
        <div id="footer">
            <h1>PIE </h1>
            <div id="botones">
                <button id="b">1</button>
                <button id="b">2</button>
                <button id="b">3</button>
            </div>
        </div>
    </div>
    <div id="card">
        <div id="header">
            <h1>ENCABEZADO</h1>
        </div>
        <div id="body">
            <div id="contenido">Contenido</div>
        </div>
        <div id="footer">
            <h1>PIE </h1>
            <div id="botones">
                <button id="b">1</button>
                <button id="b">2</button>
                <button id="b">3</button>
            </div>
        </div>
    </div>
    <div id="card">
        <div id="header">
            <h1>ENCABEZADO</h1>
        </div>
        <div id="body">
            <div id="contenido">Contenido</div>
        </div>
        <div id="footer">
            <h1>PIE </h1>
            <div id="botones">
                <button id="b">1</button>
                <button id="b">2</button>
                <button id="b">3</button>
            </div>
        </div>
    </div>
    <div id="card">
        <div id="header">
            <h1>ENCABEZADO</h1>
        </div>
        <div id="body">
            <div id="contenido">Contenido</div>
        </div>
        <div id="footer">
            <h1>PIE </h1>
            <div id="botones">
                <button id="b">1</button>
                <button id="b">2</button>
                <button id="b">3</button>
            </div>
        </div>
    </div>
    <div id="card">
        <div id="header">
            <h1>ENCABEZADO</h1>
        </div>
        <div id="body">
            <div id="contenido">Contenido</div>
        </div>
        <div id="footer">
            <h1>PIE </h1>
            <div id="botones">
                <button id="b">1</button>
                <button id="b">2</button>
                <button id="b">3</button>
            </div>
        </div>
    </div>
    </div>
</body>
</html>